<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/VertexData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">VertexData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_vertex_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_VertexDATA_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_VertexDATA_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vector_x_y_z_t_8h.html">eicd/VectorXYZT.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex_data.html">   15</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_vertex_data.html">VertexData</a> {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex_data.html#a512879552418c69b35cfb17c4e5a927c">   17</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_vertex_data.html#a512879552418c69b35cfb17c4e5a927c">primary</a>; </div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex_data.html#a5a84687c9589cf01acb821943ef8f4bc">   18</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_vertex_data.html#a5a84687c9589cf01acb821943ef8f4bc">chi2</a>; </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex_data.html#ac4136c3146b768e8295a78ae54c9ed39">   19</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_vertex_data.html#ac4136c3146b768e8295a78ae54c9ed39">probability</a>; </div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">   20</a></span>&#160;  <a class="code" href="classeic_1_1_vector_x_y_z_t.html">::eic::VectorXYZT</a> <a class="code" href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">position</a>; </div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;};</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_vertex_data_html_a5a84687c9589cf01acb821943ef8f4bc"><div class="ttname"><a href="classeic_1_1_vertex_data.html#a5a84687c9589cf01acb821943ef8f4bc">eic::VertexData::chi2</a></div><div class="ttdeci">float chi2</div><div class="ttdoc">Chi squared of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_data_8h_source.html#l00018">VertexData.h:18</a></div></div>
<div class="ttc" id="_vector_x_y_z_t_8h_html"><div class="ttname"><a href="_vector_x_y_z_t_8h.html">VectorXYZT.h</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_data_html_a512879552418c69b35cfb17c4e5a927c"><div class="ttname"><a href="classeic_1_1_vertex_data.html#a512879552418c69b35cfb17c4e5a927c">eic::VertexData::primary</a></div><div class="ttdeci">int primary</div><div class="ttdoc">Whether it is the primary vertex of the event. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_data_8h_source.html#l00017">VertexData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_data_html_ac4136c3146b768e8295a78ae54c9ed39"><div class="ttname"><a href="classeic_1_1_vertex_data.html#ac4136c3146b768e8295a78ae54c9ed39">eic::VertexData::probability</a></div><div class="ttdeci">float probability</div><div class="ttdoc">Probability of the vertex fit. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_data_8h_source.html#l00019">VertexData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_data_html"><div class="ttname"><a href="classeic_1_1_vertex_data.html">eic::VertexData</a></div><div class="ttdef"><b>Definition:</b> <a href="_vertex_data_8h_source.html#l00015">VertexData.h:15</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_vertex_data_html_a9a84393282f9a5ae3a14c67289c7836b"><div class="ttname"><a href="classeic_1_1_vertex_data.html#a9a84393282f9a5ae3a14c67289c7836b">eic::VertexData::position</a></div><div class="ttdeci">::eic::VectorXYZT position</div><div class="ttdoc">postion and time of vertex. </div><div class="ttdef"><b>Definition:</b> <a href="_vertex_data_8h_source.html#l00020">VertexData.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_vector_x_y_z_t_html"><div class="ttname"><a href="classeic_1_1_vector_x_y_z_t.html">eic::VectorXYZT</a></div><div class="ttdef"><b>Definition:</b> <a href="_vector_x_y_z_t_8h_source.html#l00011">VectorXYZT.h:11</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
